#!/bin/bash
#################################################
# SET THE SBATCH DIRECTIVE FOR THE SCHEDULER
#################################################
#SBATCH --account=terra
#SBATCH --job-name="dowscaling"
#SBATCH --time=1:00:00
#SBATCH --nodes=1
#SBATCH --ntasks-per-node=1
##SBATCH --constraint=matrix,ib
#SBATCH --constraint=blade,ib
##SBATCH --nodelist=str957-bl0-15
#SBATCH --mem=1000
#SBATCH --output=output_%j.out
#SBATCH --error=output_%j.err
#SBATCH --mail-user=mario.rossi@studio.unibo.it
#SBATCH --mail-type=ALL

echo "SLURM_JOBID="$SLURM_JOBID
echo "SLURM_JOB_NODELIST"=$SLURM_JOB_NODELIST
echo "SLURM_NNODES"=$SLURM_NNODES
echo "SLURM_NTASKS"=$SLURM_NTASKS
echo "Launch job"
echo "Hostname = $(hostname -s)"
echo "Date = $(date)"

#CONFIG=${1}
PATH_CONFIG=$HOME/nlab/nemo/NEMOGCM/CONFIG/C1D_PAPA/EXP00
cd $PATH_CONFIG

mpiexec -n $SLURM_NTASKS ./opa

echo "All Done! End job"
echo "Date = $(date)"
